var idFiTec="";
var tecnicoSeleccionado="";
$( document ).ready(function() {
	
	var idFicha=$("#idficha").val();
	var idMaquina= $("#idmaquina").val();
	
	
	
	$("#divNumAveria").hide();
	
	$("#GRID_fichaTecnicos").rup_grid({
		width: 865,
		//hasMaint:true,
		//cellEdit:true,
		url: "../fichatecnico/obtenerTecnicosFichaAsignadosGrid?idFicha=" + idFicha,
		pagerName: "pagerTec",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
	   onSelectRow: cargarEjecucionTecnico,
		colNames: [
			"F",
			"H",
			"idfitec",
			$.rup.i18n.app.parteTecnicos.estadogmao,
			$.rup.i18n.app.nuevo.nombre,
			$.rup.i18n.app.fichaTecnicos.tiemporeal,
			"",
			$.rup.i18n.app.parteTecnicos.aceptada,
			$.rup.i18n.app.nuevo.observ,
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			""
		],
		colModel: [
			{ name: "finalizado",
				label: "finalizado",
				index: "finalizado",
				width: "15",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idfitec",
				label: "idfitec",
				index: "idfitec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idtecnico",
				label: "idtecnico",
				index: "idtecnico",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "finalizado2",
				label: "finalizado2",
				index: "finalizado2",
				width: "40",
				align : "center",
				//hide:true,
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if(opts.movilgmao == '1'){
			    			if (opts.estadogmao && opts.estadogmao != ""){
				    			if(opts.estadogmao == "ASIG"){
				    				src=$.rup.APP_STATICS + "/images/asignado.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				    			}else if(opts.estadogmao == "CURS"){
				    				src=$.rup.APP_STATICS + "/images/encurso.gif";
				    				html = '<img width="22" height="22" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaocurs+'">';
				    			}else if(opts.estadogmao == "PAUSA"){
				    				src=$.rup.APP_STATICS + "/images/pausa.png";
				    				html = '<img width="17" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaopausa+'">';
				    			}else if(opts.estadogmao == "TERM"){
				    				src=$.rup.APP_STATICS + "/images/ok.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoterm+'">';
				    			}
				            }else{
				            	src=$.rup.APP_STATICS + "/images/asignado.png";
			    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				            }
			    		}else{
			    			if (opts.finalizado && opts.finalizado != 0){
			    				src=$.rup.APP_STATICS + "/images/ok.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}else{
			    				src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}
			    		}
			    		

			            return html;
			    	}
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "120",
				editable: false,
				edittype: "text"
			},
			{ name: "tiemporeal",
				label: "tiemporeal",
				index: "tiemporeal",
				align : "center",
				width: "59",
				editable: false,
				edittype: "text",
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	if (cellval && cellval != ''){
                    		var fichaHoras=Math.floor(cellval/60);
                    		var fichaMinutos=cellval%60;
                    		html = '<spam width="20" height="20" id="idTR-'+el.rowId+'" title="'+$.rup.i18n.app.fichaTecnicos.tiemporeal+'">'+fichaHoras+':'+ fichaMinutos +' </spam>';
                    	}
                    	return html;
                	}
			},
			{
				name: "aceptada",
				hidden: true
			},
			{ name: "aceptada2",
				label: "aceptada2",
				index: "aceptada2",
				width: "40",
				align : "center",
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if (opts.aceptada && opts.aceptada != "0"){
			    			src=$.rup.APP_STATICS + "/images/accept.png";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.aceptadaTec+'">';
			    		}else if(opts.aceptada && opts.aceptada == "0"){
			    			src=$.rup.APP_STATICS + "/images/eliminar.gif";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.rechazadaTec+'">';
			            }else{
			            	html = '<span>-</span>';
			            }
		    			

			            return html;
			    	}
			},
			{ name: "observaciones",
				label: "observaciones",
				index: "observaciones",
				width: "250",
				editable: true,
				edittype: "text"
			},
			{ name: "idficha3",
                label: "notas",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/ver_detalle.gif";
                    	//if (cellval && cellval != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNota-'+el.rowId+'"  title="'+$.rup.i18n.app.fichaTecnicos.notas+'" onclick="abrirNotas(\''+el.rowId+'\');">';
                    	//}
                    	return html;
                	}
			},
			{ name: "enviomail",
                //label: "mail",
                align : "center",
                index: "enviomail",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
            		if(opts.movilgmao == '1'){
            			var src = $.rup.APP_STATICS + "/images/mobile.png";
                		html = '<img width="20" height="20" src='+src+' id="idMovilgmao-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.movilgmao+'">';
            		}else{
	                	if (cellval && cellval == '1'){
	                		var src = $.rup.APP_STATICS + "/images/enviada.png";
	                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.mailenviado+'" onclick="enviarMail(\''+el.rowId+'\');">';
	                	}else{
	                		var src = $.rup.APP_STATICS + "/images/sobres.png";
	                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.enviarmail+'" onclick="enviarMail(\''+el.rowId+'\');">';
	                	}
            		}
                	return html;
                	}
			},
			{ name: "idficha",
                label: "idficha",
                hidden:true,
                editable: false,
				edittype: "text"
			},
			{ name: "idficha2",
                label: "imprimir",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/imprimir.png";
                    	if (cellval && cellval != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.fichaTecnicos.imprimir+'" onclick="imprimir(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "notasTec",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
                	if (cellval && cellval != ''){
                		var src = $.rup.APP_STATICS + "/images/notastec.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';
                	}else{
                		/*var src = $.rup.APP_STATICS + "/images/nuevo.gif";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.NuevaNotasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';*/
                		html = '<span title="'+$.rup.i18n.app.parteTecnicos.sinNotasTec+'">-</span>';
                	}
                	return html;
            	}
			},						
			{ name: "notasTec",
				//label: "notasTec",
				index: "notasTec",
				width: "250",
				editable: true,
				edittype: "text",
				hidden:true
			},
			{ name: "firma",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                		var src = $.rup.APP_STATICS + "/images/firma.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idFirmaTec-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.firmaTec+'" onclick="mostrarFirmaTecnico(\''+el.rowId+'\');">';
                		return html;
                	}
			},
			{
				name: "movilgmao",
				index:"movilgmao",
				hidden:true
			}
        ]
		
	});

	
	
	//var idFicha = $("#idficha").val();
	$("#tecnicosLibres").empty();
	$("#tecnicosAsignados").empty();
	
	
	/*$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosFichaLibres",
		  data:  { idMaquina:idMaquina, idFicha:idFicha},
		  success: function(data){
			  var miselect=$("#tecnicosLibres");
			  $("#tecnicosLibres").empty();
			  for (var i=0; i<data.length; i++) {
              	if(data[i].presente){
              		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
              	}else{
              		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
              	}
              }									  
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});
	$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosFichaAsignados",
		  data:  { idFicha:idFicha},
		  success: function(data){
			  var miselect=$("#tecnicosAsignados");
			  $("#tecnicosAsignados").empty();
			  for (var i=0; i<data.length; i++) {
              	if(data[i].presente){
              		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
              	}else{
              		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
              	}
              }									  
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});*/
	
	
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};
	
	$.ajax({
		type: "POST",
		url: "../procesosGmao/bajarOTpreventivaGmao",
		dataType: "json",
		data:  { idFicha:idFicha},
		beforeSend : function(data) {
			//Mostrar div de sincronizando
			//Dialogo con el mensaje y barra de sincronizar con gmao...
			$("#dialogoSincronizar").rup_dialog(
			{
				type : $.rup.dialog.DIV,
				height : 200,
				width : 500,
				modal : true,
				showLoading : true,
				autoOpen : false,
				title : $.rup.i18n.app.mensajesEdificios.sincronizando
			});
			$("#dialogoSincronizar").rup_dialog("open");
		},
		success: function(data){
			respuesta = data;
			if(respuesta == "OK" || respuesta == ""){
				$("#feedbackFichaTecnicos").rup_feedback (propertiesOK);
				$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
				$("#feedbackFichaTecnicos").rup_feedback("show");
				$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				
				$("#GRID_fichaActuaciones").rup_grid("reloadGrid");
				
				$.ajax({
					  type: "POST",
					  url: "../tecnicos/obtenerTecnicosFichaAsignados",
					  data:  { idFicha:idFicha},
					  success: function(data){
						  var miselect=$("#tecnicosAsignados");
						  $("#tecnicosAsignados").empty();
						  for (var i=0; i<data.length; i++) {
			                	if(data[i].presente){
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			                	}else{
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			                	}
			                }										  
						  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
				
				$.ajax({
					  type: "POST",
					  url: "../tecnicos/obtenerTecnicosFichaLibres",
					  data:  { idMaquina:idMaquina, idFicha:idFicha},
					  success: function(data){
						  var miselect=$("#tecnicosLibres");
						  $("#tecnicosLibres").empty();
						  for (var i=0; i<data.length; i++) {
			                	if(data[i].presente){
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			                	}else{
			                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			                	}
			                }									  
						  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
				
				$("#generalFicha").rup_tabs("loadTab",{
					  idTab: "tabs",
					  position: 1
				});
				
			}else{
				$("#feedbackFichaTecnicos").rup_feedback (propertiesError);
				$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
				$("#feedbackFichaTecnicos").rup_feedback("show");
			}
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
				  
		},
		error: function(data) {
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
	 		$("#feedbackFichaTecnicos").rup_feedback (propertiesError);
	 		$("#feedbackFichaTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
	 		$("#feedbackFichaTecnicos").rup_feedback("show");
			  
		}
	});
  
	$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
	$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);
	
	
	$("#GRID_fichaTecnicosEjec").rup_grid({
		width: 865,
		hasMaint:true,
		//cellEdit:true,
		url: "../fichaejecucion/ejecucionesFicha?idFiTec=" + idFiTec,
		pagerName: "pagerEjec",
		rowNum: "5",
		sortorder: "asc",
		sortname: "idficeje",
		colNames: [
			"idficeje",
			"idfitec",
			$.rup.i18n.app.fichaEjecucion.fechaInicio,
			$.rup.i18n.app.fichaEjecucion.fechaFin
		],
		colModel: [
			{ name: "idficeje",
				label: "idficeje",
				index: "idficeje",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idfitec",
				label: "idfitec",
				index: "idfitec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "feini",
				label: "feini",
				index: "feini",
				width: "150",
				editable: false,
				edittype: "text"
			},
			{ name: "fefin",
				label: "fefin",
				index: "fefin",
				width: "150",
				editable: false,
				edittype: "text"
			}		
        ]
		
	});
	$("#fichaTecnicosEjec").rup_maint({
		jQueryGrid: "GRID_fichaTecnicosEjec",
		primaryKey: "idficeje",
		modelObject: "Fichaejecucion",
		searchForm: "busquedaFichaEjec",
		//showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.nuevo,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncNuevaEjec
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleEjec
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.eliminar,
						css: "rup-maint_delete"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncEliminarEjec
					}
					]
	
			}
	});
	$("#GRID_fichaTecnicosEjec").unbind("dblclick");
	$("#fichaTecnicosEjec").hide();
	$("#labelTecnico").hide();
	$("#labelEjecTecnico").hide();
	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-fichaTecnicosEjec").hide();

	/********************************* BOTON MAIL ****************************************************************/
	$("#bt_envioMailTodos").unbind("dblclick");
	$("#bt_envioMailTodos").bind("click", enviarMailTodos);

});

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#bt_envioMailTodos").rup_tooltip({
	content: {
	text: $.rup.i18n.app.mensajesTecnicos.enviarMailTodos
	}
});

/********************   FIN TOOLTIPS *******************************************/

function enviarMailTodos(){
	
	//Deshabilito para evitar que el dobleclick sobre el botón envíe dos email
	$("#bt_envioMailTodos").attr('disabled','disabled');
	var rows= jQuery("#GRID_fichaTecnicos").jqGrid('getRowData');
	if (rows.length==0){
		$("#bt_envioMailTodos").attr('disabled',false);
		return;
	}

	var idFichaTodos=$("#idficha").val();
	
	$.ajax({
		  type: "POST",				  
		  url:"../ficha/enviarFichaTodosTecnico",
		  data:  { idFichaTodos:idFichaTodos},
		  success: function(data5){	
					//Primero vuelo a habilitar el botón 
					 $("#bt_envioMailTodos").attr('disabled',false);
					 if (data5=="true"){
						  	$.rup_messages("msgOK", { 
						  		title: $.rup.i18n.app.comun.control,
						  		message: $.rup.i18n.app.parteTecnicos.mailenviado 
						  	});
						  	$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
					  }else{
							$.rup_messages("msgAlert", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: $.rup.i18n.app.parteTecnicos.errorEnviarTodosMail + " --- " + data5
						 	});
					  
					 }
					 $("#GRID_fichaTecnicos").rup_grid("reloadGrid");

			  },
		  error: function() {
				 //Primero vuelo a habilitar el botón 
				 $("#bt_envioMailTodos").attr('disabled',false);
				 $("#feedbackFichaTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
			 },
		  dataType: "json"
		});
			
}
function fncNuevaEjec(){
	if ($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}
	
	idFiTec=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	if (idFiTec==null){
		  //Mensaje de que no se ha seleccionado un técnico
		$.rup_messages("msgOK", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.numActuacion"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.faltaSeleccionar")
			});

		return;
	}
	//Mostrar la ventana 
	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
		
	}catch(e){
		
	}
	$("#editarEjec").rup_dialog("destroy");
	
	$("#formFichaEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarNuevaEjecucion();	
	        		}
	        	} 
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);

	$("#accionEje").val("NUEVO");
	$("#idfitecEjec").val(idFiTec);
	
}

function guardarNuevaEjecucion(){
	//Se comprobara que las fechas/horas introducidas no son incongruentes con otras ejecuciones de ese tecnico y ficha
	//la fecha de inicio no puede estar entre la fecha inicio y fecha fin de otra ejecucion
	//la fecha de fin no puede estar entre la fecha inicio y fecha fin de otra ejecucion
	//No puede haber otra ejecución en medio de las fechas/horas de inicio y fin de la nueva ejecución
		
		var propertiesEjec={
				url:"../fichaejecucion/modificarEjecFicha?accion=NUEVO",
				feedback:$("#feedbackFichaTecnicos"),
				dataType:"json",
				 error: function(data) {
					 $("#feedbackFichaTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
				 },
				 success: function(dataEje){
					 if (dataEje=="NOVALIDA") {
						 //$("#feedbackParteTecnicos").rup_feedback("set", "Fechas incorrectas", "error");
						 alert($.rup.i18n.app.parteEjecucion.errorFechasEjec);
					 }else{
						 
						 //Recalcular tiempos (campo tiemporeal)
						 tecnicoSeleccionado=$("#GRID_fichaTecnicos").rup_grid('getGridParam','selrow');
						 $("#GRID_fichaTecnicosEjec").rup_grid("reloadGrid");
						 recalcularTiempos();
						 $("#editarEjec").rup_dialog("close");
					 }
				 },
				 validate: {
					 rules: {
						"feini":{required:true}
					 }
				 }
				};
		$("#formFichaEjec").rup_form(propertiesEjec);
		$("#formFichaEjec").submit();
		
	} 

function recalcularTiempos(){
	var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	
	$.ajax({
		  type: "POST",				  
		  url: "../fichaejecucion/recalcularTiempoFichaTecnico",
		  data:  { idFichaTec:idfichaTecnico},
		  success: function(data5){	
			  if (data5==true){
				  $("#GRID_fichaTecnicos").rup_grid("reloadGrid",function(){
					  //Volver a situarnos en el técnico que ya estaba 
					  if (tecnicoSeleccionado!=""){
						  $("#GRID_fichaTecnicos").setSelection(tecnicoSeleccionado,true);  
						  tecnicoSeleccionado="";
					  }
				  }); 
			  }else{
				  alert($.rup.i18n.app.fichaTecnicos.errorTiempos);  
			  }
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.fichaTecnicos.errorTiempos + "</strong></p>");
		  },
		  dataType: "json"
		});
}
function guardarModifEjecucion(){
	//Se comprobara que las fechas/horas introducidas no son incongruentes con otras ejecuciones de ese tecnico y ficha
	//la fecha de inicio no puede estar entre la fecha inicio y fecha fin de otra ejecucion
	//la fecha de fin no puede estar entre la fecha inicio y fecha fin de otra ejecucion
		
		var propertiesEjec={
				url:"../fichaejecucion/modificarEjecFicha?accion=MODIFICAR",
				feedback:$("#feedbackFichaTecnicos"),
				dataType:"json",
				 error: function(data) {
					 $("#feedbackFichaTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
				 },
				 success: function(dataEje){
					 if (dataEje=="NOVALIDA") {
						 //$("#feedbackFichaTecnicos").rup_feedback("set", "Fechas incorrectas", "error");
						 alert($.rup.i18n.app.fichaEjecucion.errorFechasEjec);
					 }else{
						 //Recalcular tiempos (campo tiemporeal)
						 recalcularTiempos();
						 $("#GRID_fichaTecnicosEjec").rup_grid("reloadGrid");
			        	$("#editarEjec").rup_dialog("close");
					 }
				 },
				 validate: {
					 rules: {
						"feini":{required:true}
					 }
				 }
				};
		$("#formFichaEjec").rup_form(propertiesEjec);
		$("#formFichaEjec").submit();
		
	} 
function fncEliminarEjec(){
		
	if ($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
		message: $.rup.i18nParse($.rup.i18n.app,"parteTecnicos.deseaEliminarEjec"),
		OKFunction: function(){
			eliminarEjec();		
		},
		CANCELFunction : function(){
		}
		});
		
}
function eliminarEjec(){
	
	var idfichaEjecucion = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).idficeje;
	$.ajax({
		  type: "POST",				  
		  url: "../fichaejecucion/eliminarEjecFicha",
		  data:  { idfichaEjecucion:idfichaEjecucion},
		  success: function(data5){					 
			  	$("#GRID_fichaTecnicosEjec").rup_grid("reloadGrid");
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});
	
}
function fncDetalleEjec(){
	
	if ($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}
	
	if ($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	var feini = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).feini;
	var fefin = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).fefin;
	var idficeje = $("#GRID_fichaTecnicosEjec").jqGrid().getRowData($("#GRID_fichaTecnicosEjec").jqGrid().getGridParam('selrow')).idficeje;
	
	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
	}catch(e){
		
	}

	$("#editarEjec").rup_dialog("destroy");
	$("#formFichaEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click:function (){
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarModifEjecucion();	
	        		}
	        	}
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);

	$("#accionEje").val("MODIFICAR");
	$("#idfitecEjec").val(idFiTec);
	//$("#idFechaInicio").val(feini);
	$("#idFechaInicio").rup_date("setRupValue",feini);
	
	//$("#idFechaFin").val(fefin);
	$("#idFechaFin").rup_date("setRupValue",fefin);
	$("#idficejeEjec").val(idficeje);
}
function cargarEjecucionTecnico(){
	$("#fichaTecnicosEjec").show();
	$("#labelTecnico").show();
	$("#labelEjecTecnico").show();
	
	$("#GRID_fichaTecnicosEjec").show();
	idFiTec=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	$("#idfitec_search").val(idFiTec);
	
	$("#fichaTecnicosEjec").rup_maint("search");
	
	$("#labelTecnico").html($("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre);
	
	var valorActual = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	if (valorActual=="1"){
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-fichaTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-fichaTecnicosEjec").show();
	}
	
	//Si el técnico seleccionado tiene aplicación móvil, ocultamos el botón de nuevo y eliminar
	var valormovilgmao = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).movilgmao;
	if(valormovilgmao == "1"){
		$("#rup-maint_toolbar-fichaTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-fichaTecnicosEjec").show();
	}

	
}
function imprimir(){
	// obtener idficha seleccionado.
	 var idFicha=$("#idficha").val();
	 var idMaquina=$("#idmaquina").val();
	 
	$("#idFicha").val(idFicha);
	$("#idmaquina_ficha").val(idMaquina);
	
	 //Se envia el formulario con el idmaquina y el idficha
	$("#filtroImprimirFichasForm").attr("target","_blank");
	$("#filtroImprimirFichasForm").submit();
}
function comprobarFinalizarTec(IDseleccionado){
	//Ocultar los tooltips porque se quedan en pantalla con Internet Explorer cuando se hace click en la imagen.
	$('div.ui-tooltip-content').hide();

	//Si el click es para finalizar hay que comprobar que tiene metidas ejecuciones, si no no dejar finalizar
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);

	var filaSeleccionada=$("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')-1;
	var valorFilaSeleccionada=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	
	if (valorFilaSeleccionada=="" || valorFilaSeleccionada==0){
		//Ha hecho click para finalizar. Comprobar si hay ejecuciones metidas.
		var idParTec=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
		$.ajax({
			  type: "POST",				  
			  url: "../fichaejecucion/fichaTecnicoTieneEjecuciones",
			  data:  { idFiTec:idFiTec},
			  success: function(dataTieneEjecuciones){
				  if (dataTieneEjecuciones=="OK"){
					  //Tiene ejecuciones metidas. Se puede continuar
					  finalizarTec(IDseleccionado);
				  }else{
					  if (dataTieneEjecuciones=="FALTA EJEC"){
					  //No tiene ejecuciones metidas. No se puede finalizar.
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message:  $.rup.i18n.app.parteTecnicos.noTieneEjec
					 	});
						  return;
					  }
					  if (dataTieneEjecuciones=="FALTA FEFIN"){
						  //Tiene ejecuciones sin finalizar. No se puede finalizar.
							$.rup_messages("msgAlert", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message:  $.rup.i18n.app.parteTecnicos.tieneEjecSinFin
						 	});
							  return;
						  }
					  
				  }
			  },
			  error: function() {
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: "Error al comprobar si tiene ejecuciones. fichaTecnicoTieneEjecuciones"
				 	});
					  return;
				  },
			  dataType: "json"
			});
	}else{
		 finalizarTec(IDseleccionado);
	}
}


function finalizarTec(IDseleccionado){
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);

	var filaSeleccionada=$("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')-1;
	var valorFilaSeleccionada=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var accionTecnico;
	if (valorFilaSeleccionada=="1"){
		accionTecnico=0; //La accion es de abrir las ejecuciones del técnico
	}else{
		accionTecnico=1;//La accion es de finalizar las ejecuciones del técnico
	}
	var actualizarEjecFicha=false;
	var rows= jQuery("#GRID_fichaTecnicos").jqGrid('getRowData');
	var row=0;
	var primeraVez=true;
	var accionFicha="";
	for(var i=0;i<rows.length;i++){
		row=rows[i];
		if (accionTecnico==0){
			accionFicha="ABRIR";
			actualizarEjecFicha=true;
			//Si la accionTecnico=0 , abrir ejecucuciones del tecnico, y el resto de tecnicos tiene finalizadas sus ejecuciones --> Hay que marcar el parte como pendiente de finalizar
			if (i!=filaSeleccionada && row['finalizado']=="1"){
				accionFicha="";
				actualizarEjecFicha=false;
				i=rows.length;
			}
		}
		if (accionTecnico==1){
			accionFicha="FINALIZAR";
			//Si la accionTecnico=1 , finalizar ejecucuciones del tecnico, y el resto de tecnicos tiene finalizadas sus ejecuciones --> Hay que marcar el parte como finalizado
			actualizarEjecFicha=true;
			if (i!=filaSeleccionada && row['finalizado']!="1"){
				//Hay otro tecnico que no tiene finalizadas sus ejecuciones --> No se finaliza el parte
				accionFicha="";
				actualizarEjecFicha=false;
				i=rows.length;
			}
		}
	}
	
		var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
		var valorActual = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
		$.ajax({
			  type: "POST",				  
			  url: "../fichatecnico/finalizarFichaTecnico",
			  data:  { idFichaTec:idfichaTecnico, valorActual:valorActual},
			  success: function(data5){	
				  	$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				  	if (actualizarEjecFicha==true){
				  		actualizarFichaEjec(accionFicha);
				  	}
				  	//Deshabilitar los botones de ejecucion para que se solo estén activos al pinchar en un técnico
				  	
				  	$("#rup-maint_toolbar-fichaTecnicosEjec").hide();
			  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
}


function actualizarFichaEjec(accionFicha){
	var idFicha=$("#idficha").val();
	$.ajax({
		  type: "POST",				  
		  url: "../ficha/actualizarEjecFicha",
		  data:  { idFicha:idFicha, accionFicha:accionFicha},
		  success: function(data5){					 
			  //Refrescar la ventana para que muestre en la pestaña Datos Generales los cambios.
			  //location.reload();
			  $("#generalFicha").rup_tabs("loadTab",{
				  idTab: "tabs",
				  position: 1
				  });
		  },
		  error: function() {
			  mensajeError("<p><strong>" +  "Error al actualizar los datos de ejecucion del Ficha" + "</strong></p>");
		  },
		  dataType: "json"
		});
}

function enviarMail(IDseleccionado){
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
	
	var idTecnico=$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idFicha=$("#idficha").val();
	
	$.ajax({
		  type: "POST",
		  url: "../ficha/enviarFichaAlTecnico",
		  data:  {idFicha:idFicha, idTecnico:idTecnico},
		  success: function(data2){
				 if (data2=="true"){
					  	$.rup_messages("msgOK", { 
					  		title: $.rup.i18n.app.comun.control,
					  		message: $.rup.i18n.app.parteTecnicos.mailenviado 
					  	});
					  	$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				 }else{
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.parteTecnicos.errorEnviarMail + " --- " + data2
					 	});
				  
				 }
			 },
		  error: function(data){
				$("#feedbackFichaTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");},
		  dataType: "json"
		});
	
}
function abrirNotas(IDseleccionado){
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
			
	var observaciones = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).observaciones;
	var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	var idficha = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idficha;
	//Mostrar la ventana de lupa Notas

	$('#idtextoNotas').attr('readonly', false);
	
	$("#lupaNotas").rup_dialog("destroy");
	$("#lupaNotas").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotas",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		var obs=$('textarea#idtextoNotas').val();
	        		$.ajax({
	        			  type: "POST",
	        			  url: "../fichatecnico/modificarNotasFichaTecnico",
	        			  data:  { idFichac:idfichaTecnico, observ:obs},
	        			  success: function(data){
	        				  $("#GRID_fichaTecnicos").rup_grid("reloadGrid");
	        				  enviarNota(idficha,obs);
	        			  	},
	        				 error: function(data){
	        					 alert( "error" );
	        				 },
	        			  dataType: "json"
	        			});
	        		
	        		$("#lupaNotas").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotas",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotas").val(observaciones);
	
}

function enviarNota(idficha,obs){
	$.ajax({
		  type: "POST",
		  url: "../procesosGmao/enviarNotasRespPartePreventivo",
		  data:  { idFicha:idficha, observ:obs},
		  success: function(data){
			
		  	},
			 error: function(data){
				 alert( "error" );
			 },
		  dataType: "json"
		});

}

function abrirNotasTecnico(IDseleccionado){
	
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
			
	var notasTec = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).notasTec;
	var idfichaTecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	//Mostrar la ventana de lupa Notas

	$('#idtextoNotasTecnico').attr('readonly', false);
	
	$("#lupaNotasTecnico").rup_dialog("destroy");
	$("#lupaNotasTecnico").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotasTecnico",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		//Si el usuario logeado es tecnico puede modificar las notas tecnico
	        		
	        		//**************IMPORTANTE*********************
	        		// lo siguiente está comentado porque este fichero va a ser solo para el usuario administrador o responsable.
	        		//El usuario tecnico tendrá su propio jsp y js en el que se incluirá este codigo
	        		/*
	        		if($("#idUsuarioTecnico").val()=="true"){
		        		var obs=$('textarea#idtextoNotasTecnico').val();
		        		$.ajax({
		        			  type: "POST",
		        			  url: "../fichatecnico/modificarNotasTecnicoFichaTecnico",
		        			  data:  { idFichac:idfichaTecnico, notasTec:obs},
		        			  success: function(data){
		        				  $("#GRID_fichaTecnicos").rup_grid("reloadGrid");
		        			  	},
		        				 error: function(data){
		        					 alert( "error" );
		        				 },
		        			  dataType: "json"
		        			});
	        		}else{
	        			$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
	        		}
	        		*/
	        		//**************FIN IMPORTANTE*********************

	        		$("#lupaNotasTecnico").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotasTecnico",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotasTecnico").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotasTecnico").val(notasTec);
	
	//******************IMPORTANTE **************
	// este fichero es para el responsable y/o administrador
	// El usuario responsable y/o administrador no puede modificar las notas de los tecnicos
	$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
}


	function confirmarSumaTecnicos(){
		if($('#tecnicosLibres').val() != null && $('#tecnicosLibres').val() != ""){
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
				message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaTecnico"),
				OKFunction: function(){
					sumaTecnicos();		
				},
				CANCELFunction : function(){
				}
				});
		}
	}
	
	function confirmarRestaTecnicos (){
		if($('#tecnicosAsignados').val() != null && $('#tecnicosAsignados').val() != ""){
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
				message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.restaTecnico"),
				OKFunction: function(){
					//Comprobar si el tecnico tiene ejecuciones asociadas a esta ficha (tabla FICHAEJECUCION)
					var tecnicosSeleccionados = $('#tecnicosAsignados').val();
					var idFicha=$("#idficha").val();
					$.ajax({
						  type: "POST",				  
						  url: "../tecnicos/comprobarEjecucionesFichaTecnico",
						  data:  { idFicha:idFicha,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
						  },
						  success: function(data4){	
							  if (data4==null){
								  alert($.rup.i18n.app.parteTecnicos.tecnicoTieneEjec);  
							  }else{
								  restaTecnicos();
							  }
							  },
						  error: function() {
							  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
						  },
						  dataType: "json"
						});
					
						
				},
				CANCELFunction : function(){
				}
				});
		}
	}
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	function sumaTecnicos() {
		var idFicha=$("#idficha").val();
		var tecnicosSeleccionados = $('#tecnicosLibres').val();

		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/sumaTecnicosFicha",
			  data:  { idFicha:idFicha,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  beforeSend: function(data){
				//Dialogo con el mensaje y barra de sincronizar con gmao...
					$("#dialogoSincronizar").rup_dialog(
					{
						type : $.rup.dialog.DIV,
						height : 200,
						width : 500,
						modal : true,
						showLoading : true,
						autoOpen : false,
						title : $.rup.i18n.app.mensajesEdificios.sincronizando
					});
					$("#dialogoSincronizar").rup_dialog("open");
			  },
			  success: function(data4){					 
				  $("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");	
				  !$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosAsignados');
				  	$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				  },
			  error: function() {
				  $("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaTecnicos() {
		var tecnicosSeleccionados = $('#tecnicosAsignados').val();
		var idFicha=$("#idficha").val();
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/restaTecnicosFicha",
			  data:  { idFicha:idFicha,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  beforeSend: function(data){
					//Dialogo con el mensaje y barra de sincronizar con gmao...
						$("#dialogoSincronizar").rup_dialog(
						{
							type : $.rup.dialog.DIV,
							height : 200,
							width : 500,
							modal : true,
							showLoading : true,
							autoOpen : false,
							title : $.rup.i18n.app.mensajesEdificios.sincronizando
						});
						$("#dialogoSincronizar").rup_dialog("open");
				  },
			  success: function(data4){	
				  $("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");
					!$('#tecnicosAsignados option:selected').remove().appendTo('#tecnicosLibres');  
				  	$("#GRID_fichaTecnicos").rup_grid("reloadGrid");
				  },
			  error: function() {
				  $("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
		
	}
 /********************** FIN EDIFICIOS *********************************/

	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
			
   		$("#feedbackFichaTecnicos").rup_feedback (properties);

   		$("#feedbackFichaTecnicos").rup_feedback("set", texto);

   		$("#feedbackFichaTecnicos").rup_feedback("show");
	}
	
	function mensajeError (texto) {
		 var properties = {
  				type: "error",
  				fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: false
  			};

  		$("#feedbackFichaTecnicos").rup_feedback (properties);

  		$("#feedbackFichaTecnicos").rup_feedback("set", texto);

  		$("#feedbackFichaTecnicos").rup_feedback("show");
	}
	
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/


// Esto es necesario para que salgan los mensajes de validacion de uda
jQuery("#feedbackFichaTecnicos").rup_feedback({
	  type: "ok",                  
	  closeLink: true,                  
	  delay: 1000,                  
	  fadeSpeed: 500,                  
	  block:false          
});



function mostrarFirmaTecnico(IDseleccionado){
	$("#GRID_fichaTecnicos").setSelection(IDseleccionado,true);
	
	var finalizado = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var idficha = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idficha;
	var idtecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idfichatecnico = $("#GRID_fichaTecnicos").jqGrid().getRowData($("#GRID_fichaTecnicos").jqGrid().getGridParam('selrow')).idfitec;
	
	//Si esta finalizado tiene la imagen de la firma
	if(finalizado != null && finalizado != 0){
		
		//Mostrar la ventana de lupa del plano
		$("#lupaFirma").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:360,
	        width:480,  
	        resizable:false,
	        title:"",
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[
		        {
		    		id: "cerrarLupaFirma",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaFirma").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
		 var cPunto = document.getElementById("canvaFirma1");
		 var ctxPunto = cPunto.getContext("2d");
		
		 planoFirma = new Image();
		 planoFirma.onload=function(){
			 ctxPunto.clearRect( 0, 0, 640, 480);
			 ctxPunto.drawImage(planoFirma, 0, 0, 320, 240);
			 
		 };
		planoFirma.src="../procesosGmao/mostrarFirmaFicha?idficha=" + idficha + "&idtecnico="+idtecnico+"&idfitec="+idfichatecnico;

		
	}else{
		alert("El técnico todavía no ha finalizado las ejecuciones");
	}
}
